com.holonplatform.core

## Interface NullExpression<T>

- Type Parameters:
    `T` - Expression type
  All Superinterfaces:
    ConverterExpression<T>, Expression, TypedExpression<T>
  All Known Implementing Classes:
    DefaultNullExpression

      public interface NullExpression<T>
      extends ConverterExpression<T>

  A `TypedExpression` which represents a `null` value, with expression value conversion support.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> NullExpression<T>` | `create(Class<? extends T> type)` Create a new `NullExpression` instance.
    `static <T> NullExpression<T>` | `create(TypedExpression<T> expression)` Create a new `NullExpression` instance, using given `expression` to inherit an `ExpressionValueConverter`, if available.
    `Object` | `getModelValue()` Get the model data type value, using the `ExpressionValueConverter` to convert constant expression value, if available.

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getExpressionValueConverter, getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getModelValue

          Object getModelValue()

      Get the model data type value, using the `ExpressionValueConverter` to convert constant expression value, if available. If an `ExpressionValueConverter` is not available, `null` is returned.
      Returns:
        The model-converted expression value if an `ExpressionValueConverter` is available, or `null` otherwise

    - #### create

          static <T> NullExpression<T> create(Class<? extends T> type)

      Create a new `NullExpression` instance.
      Type Parameters:
        `T` - Expression type
      Parameters:
        `type` - Expression type (not null)
      Returns:
        A new `NullExpression`

    - #### create

          static <T> NullExpression<T> create(TypedExpression<T> expression)

      Create a new `NullExpression` instance, using given `expression` to inherit an `ExpressionValueConverter`, if available.
      Type Parameters:
        `T` - Expression type
      Parameters:
        `expression` - Expression form which to inherit an `ExpressionValueConverter`, if available
      Returns:
        A new `NullExpression`

Copyright © 2019 The Holon Platform. All rights reserved.